#include <iostream>
#define MAXN 100055
using namespace std;
int x[MAXN], y[MAXN], z[MAXN];
int n;
int main()
{
    scanf("%d", &n);
    for(int i = 1; i<=n; i++) {
        scanf("%d", &x[i]);
        if(x[i]<x[i-1]) {
            int temp=0;
            temp=x[i];
            x[i]=x[i-1];
            x[i-1]=temp;
        }
    }
    for(int j = 1; j<=n; j++) scanf("%d", &y[j]);
    for(int k = 1; k<=n; k++) scanf("%d", &z[k]);
    int res=0;
    for(int i = 1; i<=n; i++) {
        if(x[i]==x[i-1]) {
            res+=num;
        } else {
            for(int j=1; j<=n; j++) {
                if(y[j]==x[i]) {
                    int num=0;
                    for(int k=1; k<=n; k++) {
                        if(j==z[k]) {
                            num++;
                            res++;
                        }
                    }
                }
            }
        }
    }
    printf("%d\n", res);
    return 0;
}